## Начало работы 
***

Загрузка зависимостей.
### `composer install`
***

Создание переменных окружения. В файле `.env` прописать необходимые настройки приложения,
например доступы к базе данных.
### `cp .env.example .env`
***

Инициализация миграций БД приложения.
### `php console.php migration/init`
***

Развертывание админпанели приложения. Доступы по умолчанию login: `admin`, password `ChangeMe`.
**Не забудьте потом изменить пароль пользователя.**
### `php console.php admin/init`
***

Создание ключа безопасности.
### `php console.php secure/create-secret-key`
***

