<?php

use kernel\App;
use Phroute\Phroute\RouteCollector;

App::$collector->group(["prefix" => "admin"], function (RouteCollector $router) {
    App::$collector->group(["before" => "auth"], function (RouteCollector $router) {
        App::$collector->group(["prefix" => "option"], callback: function (RouteCollector $router) {
            App::$collector->get('/', [\kernel\modules\option\controllers\OptionController::class, 'actionIndex']);
            App::$collector->get('/page/{page_number}', [\kernel\modules\option\controllers\OptionController::class, 'actionIndex']);
            App::$collector->get('/create', [\kernel\modules\option\controllers\OptionController::class, 'actionCreate']);
            App::$collector->post("/", [\kernel\modules\option\controllers\OptionController::class, 'actionAdd']);
            App::$collector->get('/view/{id}', [\kernel\modules\option\controllers\OptionController::class, 'actionView']);
            App::$collector->any('/update/{id}', [\kernel\modules\option\controllers\OptionController::class, 'actionUpdate']);
            App::$collector->any("/edit/{id}", [\kernel\modules\option\controllers\OptionController::class, 'actionEdit']);
            App::$collector->get('/delete/{id}', [\kernel\modules\option\controllers\OptionController::class, 'actionDelete']);
        });
    });
});