<?php

use kernel\App;
use kernel\modules\admin_themes\controllers\AdminThemeController;
use Phroute\Phroute\RouteCollector;

App::$collector->group(["prefix" => "admin"], function (RouteCollector $router){
    App::$collector->group(["before" => "auth"], function (RouteCollector $router) {
        App::$collector->group(["prefix" => "settings"], function (RouteCollector $router) {
            App::$collector->group(["prefix" => "admin-themes"], function (RouteCollector $router) {
                App::$collector->get('/', [AdminThemeController::class, 'actionIndex']);
                App::$collector->get('/activate', [AdminThemeController::class, 'actionActivate']);
                //            App::$collector->get('/create', [\kernel\modules\menu\controllers\MenuController::class, 'actionCreate']);
                //            App::$collector->post("/", [\kernel\modules\menu\controllers\MenuController::class, 'actionAdd']);
                //            App::$collector->get('/{id}', [\kernel\modules\menu\controllers\MenuController::class, 'actionView']);
                //            App::$collector->any('/update/{id}', [\kernel\modules\menu\controllers\MenuController::class, 'actionUpdate']);
                //            App::$collector->any("/edit/{id}", [\kernel\modules\menu\controllers\MenuController::class, 'actionEdit']);
                //            App::$collector->get('/delete/{id}', [\kernel\modules\menu\controllers\MenuController::class, 'actionDelete']);
            });
        });
    });
});