<?php
namespace kernel\modules\secure\models;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property int $user_id
 * @property int $code
 * @property string $code_expires_at
 */
class SecretCode extends Model {

    protected $table = 'secret_code';
    protected $fillable = ['user_id', 'code', 'code_expires_at'];

    public static function labels(): array
    {
        return [
            'user_id' => 'Пользователь',
            'code' => 'Код',
            'code_expires_at' => 'Срок жизни кода',
        ];
    }

}
